Loading...
Searching...
No Matches
BALL::VIEW::Box Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/box.h>`

Inheritance diagram for BALL::VIEW::Box:

## Public Member Functions

Constructors
| Box ()
| Box (const Box &box)
| Box (const Vector3 &point, const Vector3 &right_vector, const Vector3 &height_vector, float depth)
| Box (const Vector3 &point, const Vector3 &right_vector=Vector3(0, 1, 0), const Vector3 &height_vector=Vector3(1, 0, 0), const Vector3 &depth_vector=Vector3(0, 0, 1))
Destructors
virtual | ~Box ()
virtual void | clear ()
Assignment methods
void | set (const Box &box)
const Box & | operator= (const Box &box)
debuggers and diagnostics
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual void | getVertices (vector< Vector3 > &vertices) const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const
Public Member Functions inherited from BALL::TBox3< float >
| TBox3 ()
| TBox3 (const TBox3 &box)
| TBox3 (const TVector3< float > &point, const TVector3< float > &right_vector, const TVector3< float > &height_vector, const float &depth=1)
| TBox3 (const TVector3< float > &point, const TVector3< float > &right_vector=TVector3< float >((float) 0,(float) 1,(float) 0), const TVector3< float > &height_vector=TVector3< float >((float) 1,(float) 0,(float) 0), const TVector3< float > &depth_vector=TVector3< float >((float) 0,(float) 0,(float) 1))
virtual | ~TBox3 ()
void | set (const TBox3 &box)
const TBox3 & | operator= (const TBox3 &box)
void | swap (TBox3 &box)
void | setWidth (float width)
| Set width.
float | getWidth () const
| Get width.
void | setHeight (float height)
| Set height.
float | getHeight () const
| Get height.
void | setDepth (float depth)
| Set depth.
float | getDepth () const
| Get depth.
const TVector3< float > & | getPoint () const
| Get the point.
void | setPoint (const TVector3< float > &point)
| Set the point.
const TVector3< float > & | getRightVector () const
| Get the right vector.
void | setRightVector (const TVector3< float > &v)
| Set the right vector.
const TVector3< float > & | getHeightVector () const
| Get the height vector.
void | setHeightVector (const TVector3< float > &v)
| Set the height vector.
const TVector3< float > & | getDepthVector () const
| Get the depth vector.
void | setDepthVector (const TVector3< float > &v)
| Set the depth vector.
float | getSurface () const
float | getVolume () const
TVector3< float > | getDiagonalVector () const
bool | operator== (const TBox3 &box) const
bool | operator!= (const TBox3 &box) const
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const

## Additional Inherited Members

TVector3< float > | point_
TVector3< float > | right_vector_
TVector3< float > | height_vector_
TVector3< float > | depth_vector_
float | width_
float | height_
float | depth_

## Detailed Description

Box class.
An instance of this class represents an instance of the geometric representation of a threedimensional box. The class Box is derived from the classes GeometricObject and Box3. See these classes for further information concerning interface and additional methods.

Definition at line 30 of file box.h.

## Constructor & Destructor Documentation

## Box() [1/4]

BALL::VIEW::Box::Box | ( |  | ) |

Default Constructor. Construct new Box. The properties of this Box are set to:

- color - to the color black
- width, depth, height - to one
- right_vector to 0, 1, 0
- heigth_vector to 1, 0, 0
- depth_vector to 0, 0, 1
  Returns
    Box new constructed Box

## Box() [2/4]

BALL::VIEW::Box::Box | ( | const Box & | box | ) |

Copy constructor with cloning facility.

## Box() [3/4]

BALL::VIEW::Box::Box | ( | const Vector3 & | point,
|  | const Vector3 & | right_vector,
|  | const Vector3 & | height_vector,
|  | float | depth )

## Box() [4/4]

BALL::VIEW::Box::Box | ( | const Vector3 & | point,
|  | const Vector3 & | right_vector = Vector3(0, 1, 0),
|  | const Vector3 & | height_vector = Vector3(1, 0, 0),
|  | const Vector3 & | depth_vector = Vector3(0, 0, 1) )

## ~Box()

virtual BALL::VIEW::Box::~Box | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::Box::clear | ( |  | ) |

virtual

Explicit default initialization. Calls GeometricObject::clear Calls Box3::clear

Reimplemented from BALL::VIEW::GeometricObject.

## dump()

virtual void BALL::VIEW::Box::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current value of this Box to the output ostream s with dumping depth depth. Calls GeometricObject::dump. Calls Box3::dump.

Parameters

  s | output stream where to output the value of this Box
  depth | the dumping depth

See also
  GeometricObject::dump
  Box::dump

Reimplemented from BALL::VIEW::GeometricObject.

## getVertices()

virtual void BALL::VIEW::Box::getVertices | ( | vector< Vector3 > & | vertices | ) | const

virtual

## isValid()

virtual bool BALL::VIEW::Box::isValid | ( |  | ) | const

virtual

Internal state and consistency self-validation. Initiate self-validation of the internal state and data structure consistencies of this Box. If the internal state of this Box is correct (self-validated) and consistent true is returned, false otherwise. Calls GeometricObject::isValid. Calls Box3::isValid.

See also
  GeometricObject::isValid
  Box3::isValid

Reimplemented from BALL::VIEW::GeometricObject.

## operator=()

const Box & BALL::VIEW::Box::operator= | ( | const Box & | box | ) |

Assignment operator.

## set()

void BALL::VIEW::Box::set | ( | const Box & | box | ) |

Assignment.